> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Coupon

PUT https://api.bigcommerce.com/stores/{store_hash}/v2/coupons/{id}
Content-Type: application/json

Updates a *Coupon*.


**Read Only Fields**

* `id`
* `num_uses`
* `date_created`

**Notes**

If the `applies_to` value is cleared, you can restore it to the coupon by reapplying the `applies_to` value in a new `PUT` request.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/content/marketing/coupons/update-coupon

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Marketing | modify | `store_v2_marketing` | | Marketing | read-only | `store_v2_marketing_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `id` (double, required) — ID of the coupon.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a coupon_Base.

- `name` (string, required) — The name of the coupon. The value must be unique.
- `type` (enum, required)
  - Allowed values: `per_item_discount`, `per_total_discount`, `shipping_discount`, `free_shipping`, `percentage_discount`, `promotion`
- `amount` (string, required) — The discount to apply to an order, as either an amount or a percentage. This field’s usage is determined by the coupon `type`. For example, a `type` of + `percentage_discount` would determine a percentage here.
- `code` (string, required) — The coupon code that customers will use to receive their discounts. Value must be unique. Only letters, numbers, white space, underscores, and hyphens are allowed.
- `applies_to` (CouponBaseAppliesTo, required) — If it is not included in the PUT request, its existing value on the coupon will be cleared. Also required to be set on the POST request
- `min_purchase` (string, optional) — Specifies a minimum value that an order must have before the coupon can be applied to it.
- `expires` (string, optional) — Specifies when a coupon expires. Coupons need not have an expiry date – you can also control expiry via + `max_uses` or `max_uses_per_customer`. If you do use this date field, the value must be in RFC 2822 format.
- `enabled` (boolean, optional) — If the coupon is enabled, this field’s value is `true`; otherwise, `false`.
- `max_uses` (integer, optional) — Maximum number of times this coupon can be used.
- `max_uses_per_customer` (integer, optional) — Maximum number of times each customer can use this coupon.
- `restricted_to` (CouponBaseRestrictedTo, optional)
- `shipping_methods` (list of string, optional) — This is a list of shipping-method names. A shipping method must be enabled on the store to use it with a coupon. To check which shipping methods are enabled, please use the [List Shipping Methods](/developer/docs/archive/store-operations/v2-catalog-products/v2-products#list-shipping-methods) endpoint.

## Response

### 200

OK

- `amount` (string, required) — The discount to apply to an order, as either an amount or a percentage. This field’s usage is determined by the coupon `type`. For example, a `type` of + `percentage_discount` would determine a percentage here.
- `applies_to` (CouponBaseAppliesTo, required) — If it is not included in the PUT request, its existing value on the coupon will be cleared. Also required to be set on the POST request
- `code` (string, required) — The coupon code that customers will use to receive their discounts. Value must be unique. Only letters, numbers, white space, underscores, and hyphens are allowed.
- `id` (integer, required) — The coupon's ID. This is a read-only field; do not set or modify its value in a POST or PUT request.
- `name` (string, required) — The name of the coupon. The value must be unique.
- `type` (enum, required)
  - Allowed values: `per_item_discount`, `per_total_discount`, `shipping_discount`, `free_shipping`, `percentage_discount`, `promotion`
- `date_created` (string, optional) — Date Created
- `enabled` (boolean, optional) — If the coupon is enabled, this field’s value is `true`; otherwise, `false`.
- `expires` (string, optional) — Specifies when a coupon expires. Coupons need not have an expiry date – you can also control expiry via + `max_uses` or `max_uses_per_customer`. If you do use this date field, the value must be in RFC 2822 format.
- `max_uses` (integer, optional) — Maximum number of times this coupon can be used.
- `max_uses_per_customer` (integer, optional) — Maximum number of times each customer can use this coupon.
- `min_purchase` (string, optional) — Specifies a minimum value that an order must have before the coupon can be applied to it.
- `num_uses` (integer, optional) — Number of times this coupon has been used. This is a read-only field; do not set or modify its value in a POST or PUT request.
- `restricted_to` (CouponBaseRestrictedTo, optional)
- `shipping_methods` (list of string, optional) — This is a list of shipping-method names. A shipping method must be enabled on the store to use it with a coupon. To check which shipping methods are enabled, please use the [List Shipping Methods](/developer/docs/archive/store-operations/v2-catalog-products/v2-products#list-shipping-methods) endpoint.

## Types

### CouponBaseAppliesTo

If it is not included in the PUT request, its existing value on the coupon will be cleared. Also required to be set on the POST request

- `ids` (list of integer, optional) — ID of either the products or categories
- `entity` (string, optional) — What the discount applies to. Can be products or categories.

### CouponBaseRestrictedTo

- `countries` (string, optional)

## Examples

**Request**

```json
{
  "name": "Australia Customers Discount",
  "type": "per_item_discount",
  "amount": "5",
  "code": "S2549JM0Y",
  "applies_to": {
    "ids": [
      0,
      3
    ],
    "entity": "categories"
  },
  "min_purchase": "25",
  "expires": "",
  "enabled": true,
  "max_uses": 25,
  "max_uses_per_customer": 0,
  "restricted_to": {
    "countries": "AU"
  },
  "shipping_methods": [
    "shipping_endicia"
  ],
  "date_created": "Tue, 13 Mar 2018 16:18:59 +0000",
  "id": 2,
  "num_uses": 0
}
```

**Response**

```json
{
  "amount": "5.0000",
  "applies_to": {
    "ids": [
      0
    ],
    "entity": "categories"
  },
  "code": "S2549JM0Y",
  "id": 1,
  "name": "$5 off",
  "type": "per_total_discount",
  "date_created": "Tue, 13 Mar 2018 16:18:59 +0000",
  "enabled": true,
  "expires": "",
  "max_uses": 0,
  "max_uses_per_customer": 0,
  "min_purchase": "0.0000",
  "num_uses": 2,
  "restricted_to": {},
  "shipping_methods": []
}
```

**SDK Code**

```python Response
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/coupons/1.1"

payload = {
    "name": "Australia Customers Discount",
    "type": "per_item_discount",
    "amount": "5",
    "code": "S2549JM0Y",
    "applies_to": {
        "ids": [0, 3],
        "entity": "categories"
    },
    "min_purchase": "25",
    "expires": "",
    "enabled": True,
    "max_uses": 25,
    "max_uses_per_customer": 0,
    "restricted_to": { "countries": "AU" },
    "shipping_methods": ["shipping_endicia"],
    "date_created": "Tue, 13 Mar 2018 16:18:59 +0000",
    "id": 2,
    "num_uses": 0
}
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Response
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/coupons/1.1';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"name":"Australia Customers Discount","type":"per_item_discount","amount":"5","code":"S2549JM0Y","applies_to":{"ids":[0,3],"entity":"categories"},"min_purchase":"25","expires":"","enabled":true,"max_uses":25,"max_uses_per_customer":0,"restricted_to":{"countries":"AU"},"shipping_methods":["shipping_endicia"],"date_created":"Tue, 13 Mar 2018 16:18:59 +0000","id":2,"num_uses":0}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/coupons/1.1"

	payload := strings.NewReader("{\n  \"name\": \"Australia Customers Discount\",\n  \"type\": \"per_item_discount\",\n  \"amount\": \"5\",\n  \"code\": \"S2549JM0Y\",\n  \"applies_to\": {\n    \"ids\": [\n      0,\n      3\n    ],\n    \"entity\": \"categories\"\n  },\n  \"min_purchase\": \"25\",\n  \"expires\": \"\",\n  \"enabled\": true,\n  \"max_uses\": 25,\n  \"max_uses_per_customer\": 0,\n  \"restricted_to\": {\n    \"countries\": \"AU\"\n  },\n  \"shipping_methods\": [\n    \"shipping_endicia\"\n  ],\n  \"date_created\": \"Tue, 13 Mar 2018 16:18:59 +0000\",\n  \"id\": 2,\n  \"num_uses\": 0\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/coupons/1.1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Australia Customers Discount\",\n  \"type\": \"per_item_discount\",\n  \"amount\": \"5\",\n  \"code\": \"S2549JM0Y\",\n  \"applies_to\": {\n    \"ids\": [\n      0,\n      3\n    ],\n    \"entity\": \"categories\"\n  },\n  \"min_purchase\": \"25\",\n  \"expires\": \"\",\n  \"enabled\": true,\n  \"max_uses\": 25,\n  \"max_uses_per_customer\": 0,\n  \"restricted_to\": {\n    \"countries\": \"AU\"\n  },\n  \"shipping_methods\": [\n    \"shipping_endicia\"\n  ],\n  \"date_created\": \"Tue, 13 Mar 2018 16:18:59 +0000\",\n  \"id\": 2,\n  \"num_uses\": 0\n}"

response = http.request(request)
puts response.read_body
```

```java Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v2/coupons/1.1")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Australia Customers Discount\",\n  \"type\": \"per_item_discount\",\n  \"amount\": \"5\",\n  \"code\": \"S2549JM0Y\",\n  \"applies_to\": {\n    \"ids\": [\n      0,\n      3\n    ],\n    \"entity\": \"categories\"\n  },\n  \"min_purchase\": \"25\",\n  \"expires\": \"\",\n  \"enabled\": true,\n  \"max_uses\": 25,\n  \"max_uses_per_customer\": 0,\n  \"restricted_to\": {\n    \"countries\": \"AU\"\n  },\n  \"shipping_methods\": [\n    \"shipping_endicia\"\n  ],\n  \"date_created\": \"Tue, 13 Mar 2018 16:18:59 +0000\",\n  \"id\": 2,\n  \"num_uses\": 0\n}")
  .asString();
```

```php Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v2/coupons/1.1', [
  'body' => '{
  "name": "Australia Customers Discount",
  "type": "per_item_discount",
  "amount": "5",
  "code": "S2549JM0Y",
  "applies_to": {
    "ids": [
      0,
      3
    ],
    "entity": "categories"
  },
  "min_purchase": "25",
  "expires": "",
  "enabled": true,
  "max_uses": 25,
  "max_uses_per_customer": 0,
  "restricted_to": {
    "countries": "AU"
  },
  "shipping_methods": [
    "shipping_endicia"
  ],
  "date_created": "Tue, 13 Mar 2018 16:18:59 +0000",
  "id": 2,
  "num_uses": 0
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/coupons/1.1");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Australia Customers Discount\",\n  \"type\": \"per_item_discount\",\n  \"amount\": \"5\",\n  \"code\": \"S2549JM0Y\",\n  \"applies_to\": {\n    \"ids\": [\n      0,\n      3\n    ],\n    \"entity\": \"categories\"\n  },\n  \"min_purchase\": \"25\",\n  \"expires\": \"\",\n  \"enabled\": true,\n  \"max_uses\": 25,\n  \"max_uses_per_customer\": 0,\n  \"restricted_to\": {\n    \"countries\": \"AU\"\n  },\n  \"shipping_methods\": [\n    \"shipping_endicia\"\n  ],\n  \"date_created\": \"Tue, 13 Mar 2018 16:18:59 +0000\",\n  \"id\": 2,\n  \"num_uses\": 0\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Response
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Australia Customers Discount",
  "type": "per_item_discount",
  "amount": "5",
  "code": "S2549JM0Y",
  "applies_to": [
    "ids": [0, 3],
    "entity": "categories"
  ],
  "min_purchase": "25",
  "expires": "",
  "enabled": true,
  "max_uses": 25,
  "max_uses_per_customer": 0,
  "restricted_to": ["countries": "AU"],
  "shipping_methods": ["shipping_endicia"],
  "date_created": "Tue, 13 Mar 2018 16:18:59 +0000",
  "id": 2,
  "num_uses": 0
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/coupons/1.1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```